All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.util.remotefile2
Class RemoteFileActionUtil

    com.sas.actionprovider.util.remotefile2.RemoteFileActionUtil

All Implemented Interfaces:
  ActionStatusKeysInterface, RemoteFileSelectorAreaInterface, DynamicValueKeys, RemoteFileDynamicValueKeys

Direct Known Subclasses:
  HttpRemoteFileActionUtil

    public class RemoteFileActionUtil

implements RemoteFileSelectorAreaInterface, RemoteFileDynamicValueKeys, ActionStatusKeysInterface

Field Summary

Fields inherited from interface com.sas.actionprovider.support.remotefileselector2.RemoteFileSelectorAreaInterface
`COMBO_AREA, DRILL_DOWN_AREA, FILTER_TYPE_AREA, SEARCH_BUTTON_AREA, TOOLBAR_AREA, TREE_AREA`

Fields inherited from interface com.sas.actionprovider.util.remotefile2.RemoteFileDynamicValueKeys
`FILE_NAME, FOLDER_NAME, FULLY_QUALIFIED_LOCATION, IS_FOLDER, MODEL, MODEL_COLUMN, NODE, PARENT_FOLDER_PATH, REMOTE_MODEL, SEARCH_ATTRIBUTES, SERVICE_MODEL, SORT_MODEL, TABLE`

Fields inherited from interface com.sas.actionprovider.util.DynamicValueKeys
`AREA_VALUE, AREA_VALUE_ATTRKEY, VIEWER, VIEWER_COMPONENT`

Fields inherited from interface com.sas.actionprovider.ActionStatusKeysInterface
`AREA_DISABLED, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, UNSUPPORTED, VIEWER_DISABLED`

Constructor Summary
`RemoteFileActionUtil()`

Method Summary
`static java.lang.Object` | `getAreaValue(ActionSupportFilter filter)`
`int` | `getDisabledIfNoWritePermissions(java.lang.String path, WritePermissionsInterface model, int actionStatus)`
`int` | `getDisabledIfUpRestricted(ActionSupportFilter filter, int currentStatus)`
`java.lang.Object` | `getFullyQualifiedLocation(ActionSupportFilter filter)` Returns the fully qualified path or location for the node or item.
`RemoteFileMetadataInterface` | `getNode(ActionSupportFilter filter)` Returns the node.
`java.lang.Object` | `getRemoteFileServerModel(ActionSupportFilter filter)` Returns the navigation model from the SortableTableModelAdapter.
`java.lang.Object` | `getRemoteFileServerModelFromToolBarFilter(ActionSupportFilter filter)`
`java.lang.Object` | `getRemoteFileServerModelParentPath(ActionSupportFilter filter)`
`java.lang.Object` | `getRemoteFileServerModelPath(ActionSupportFilter filter)`
`java.lang.Object` | `getSortModel(ActionSupportFilter filter)`
`java.lang.Object` | `isFolder(ActionSupportFilter filter)` Returns a value indicating whether the node is a folder.

Constructor Detail

### RemoteFileActionUtil

    public RemoteFileActionUtil()

Method Detail

### getSortModel

    public java.lang.Object getSortModel(ActionSupportFilter filter)

### getRemoteFileServerModel

    public java.lang.Object getRemoteFileServerModel(ActionSupportFilter filter)

  Returns the navigation model from the SortableTableModelAdapter.

  Parameters:
    `filter` -
  Returns:

### getRemoteFileServerModelFromToolBarFilter

    public java.lang.Object getRemoteFileServerModelFromToolBarFilter(ActionSupportFilter filter)

### getRemoteFileServerModelPath

    public java.lang.Object getRemoteFileServerModelPath(ActionSupportFilter filter)

### getRemoteFileServerModelParentPath

    public java.lang.Object getRemoteFileServerModelParentPath(ActionSupportFilter filter)

### isFolder

    public java.lang.Object isFolder(ActionSupportFilter filter)

  Returns a value indicating whether the node is a folder. `True` is returned if the node or item is a folder. Otherwise `False` is returned.

  Parameters:
    `filter` - viewer data passed on the filter
  Returns:
    `True` if the item is a folder, otherwise `False` is returned

### getNode

    public RemoteFileMetadataInterface getNode(ActionSupportFilter filter)

  Returns the node.

  Parameters:
    `filter` - viewer data passed on the filter
  Returns:

### getFullyQualifiedLocation

    public java.lang.Object getFullyQualifiedLocation(ActionSupportFilter filter)

  Returns the fully qualified path or location for the node or item. The location information returned can be used to access the item.

  Parameters:
    `filter` - viewer data passed on the filter
  Returns:
    location for the node or item

### getAreaValue

    public static java.lang.Object getAreaValue(ActionSupportFilter filter)

### getDisabledIfUpRestricted

    public int getDisabledIfUpRestricted(ActionSupportFilter filter,
                                         int currentStatus)

### getDisabledIfNoWritePermissions

    public int getDisabledIfNoWritePermissions(java.lang.String path,
                                               WritePermissionsInterface model,
                                               int actionStatus)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.